Unit tde08r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE08R_p, DE08R_p;

function tde08r: String;

implementation

function tde08r: String;
var
M,JSTART,IH,IERR :Integer;
P,HMIN,H,EPS,X,Y1,Y2,XP :Real;
BUL :Boolean;
YX :Array [0..1] of Real;
YP :Array [0..1] of Real;
R1 :Array [0..9] of Real;
R2 :Array [0..1] of Real;
R3 :Array [0..1] of Real;
label
_20,_103,_104,_105,_100;
begin
Result := '';  {   }
M := 2;
P := 100.0;
HMIN := 1.E-12;
H := 1.E-2;
EPS := 1.E-5;
JSTART := 1;
X := 0.0;
YX[0] := 1.0;
YX[1] := 1.0;
IH := 0;
BUL := False;
_20:
DE08R (FDE08R,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     R1,R2,R3,IERR);
Y1 := Cos(2.0*X) - 3.0*Sin(2.0*X);
Y2 := Cos(2.0*X) + Sin(2.0*X);
IH := IH + 1;
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f  %20.16f ',
 [X,YX[0],YX[1],R3[0],R3[1]]) + #$0D#$0A;
Result := Result + Format(' %20.16f  %20.16f  %20.16f ',[H,Y1,Y2]);
case IH of
 1: goto _20;
 2: goto _20;
 3: goto _103;
 4: goto _104;
 5: goto _105;
 6: goto _20;
 7: goto _100;
end;
_103:
JSTART := -1;
H := -0.005;
goto _20;
_104:
JSTART := -1;
H := 0.02;
goto _20;
_105:
EPS := 1.E-8;
H := 0.01;
goto _20;
_100:
UtRes('tde08r',Result);  {     tde08r.res }
exit;
end;

end.
